Upload an attachment
curl --request POST \
--url https://api.izap.ai/api/v1/chats/{chat_id}/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'files=<string>' \
--form files.items='@example-file'import requests
url = "https://api.izap.ai/api/v1/chats/{chat_id}/upload"
files = { "files.items": ("example-file", open("example-file", "rb")) }
payload = { "files": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
form.append('files.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.izap.ai/api/v1/chats/{chat_id}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{
"file_size": 123,
"file_type": "<string>",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}
]
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}messages
Upload an attachment
Uploads a file to be attached to a message on this conversation, and returns the stored reference to pass when sending that message.
POST
/
api
/
v1
/
chats
/
{chat_id}
/
upload
Upload an attachment
Autorizações
Personal access token (izap_pat_…) sent as Authorization: Bearer ; dashboard session JWTs are also accepted.
Parâmetros de caminho
Corpo
multipart/form-data
Resposta
Successful Response
Response for file upload
Show child attributes
Show child attributes